<div align="center">
    <h1>pyro_dash_py</h1>
    <p style="font-size: 18px;">A pretty light-weight and somewhat bearable python-sdk for the pyro-dashboard-api</p>
</div>

## Installation

`pyro_dash_py` has a public pypi package that you can install.

```bash
pip install pyro_dash_py
```

## Speed Run Usage

First, initialize the `PyroDash` client.

```python
pyro = PyroDash(
    host="https://api.dashboard.pyrologix.com",
    email="dev@pyrologix.com",
    apikey="my-super-secret-key",
)
```

Now you can create some projects and jobs:

```python
my_project = pyro.projects.create(name="Hello from pyro_dash_py")
my_job = pyro.jobs.create("wildest")

my_project.add_job(my_job.id)
```

## Docs

- `poetry run mkdocs serve` - Start the live-reloading docs server.
- `poetry run mkdocs build` - Build the documentation site.
